@import './../../assets/styles/variables';

$top-panel-background-color: #475263;

.header-table {
  background-color: #FAFAFA;
}

.left-menu-wrapper {
  min-width: 300px;
  display: block;
  &__hide {
    display: none;
  }
}

.RightMenu {
  min-height: 100%;
  width: calc(100% - 300px);
  background-color: #F2F2F2;;
  &__full {
    width: 100%;
    min-height: 100%;
    background-color: #F2F2F2;
  }
}

.hide-left-menu-icon {
  position: absolute;
  height: 65px;
  width: 15px;
  border-radius: 0 2px 2px 0;
  background-color: #546E7A;
  top: 40%;
  left: 300px;
  cursor: pointer;
  &__full {
    position: absolute;
    height: 65px;
    width: 15px;
    border-radius: 0 2px 2px 0;
    background-color: #546E7A;
    top: 40%;
    cursor: pointer;
  }
}

body {
  overflow-x: hidden;
}

.toggle-arrow-left {
  color: #A8B1C7;
  font-size: $default-font-size-plus-5;
  margin: 20px 0 0 -3px;
}

.menu-icon-wrapper {
  padding: 0 6px 0 0px;
  line-height: 28px;
  font-size: $default-font-size-plus-7;
  text-align: center;
  color: #F1F1F1;
  border-radius: 4px;
  //background-color: rgba(112,123,143,0.5);
  cursor: pointer;

  &--active {
    width: 30px;
    height: 28px;
    line-height: 28px;
    font-size: $default-font-size-plus-7;
    background-color: black;
    text-align: center;
    color: white;
  }
}

.top-panel {
  position: relative;
  display: flex;
  height: 62px;
  width: 100%;
  background-color: $top-panel-background-color;
  padding: 0px 20px;
  align-items: center;
  justify-content: space-between;

  //&--user-menu {
  //  color: #596372;
  //  font-size: $default-font-size;
  //  font-weight: 600;
  //  line-height: 18px;
  //
  //  height: 86px;
  //  width: 200px;
  //  border: 1px solid #DADFEA;
  //  border-radius: 4px;
  //  background-color: #FFFFFF;
  //  box-shadow: 0 2px 4px 3px rgba(0, 0, 0, 0.13);
  //  position: absolute;
  //  right: 30px;
  //  top: 53px;
  //  z-index: 3;
  //  &--item {
  //    height: 43px;
  //    display: flex;
  //    align-items: center;
  //    padding-left: 16px;
  //    border-bottom: 1px solid #DADFEA;
  //    cursor: pointer;
  //    &:hover {
  //      background-color: #F8FAFC;
  //    }
  //  }
  //  &--icon {
  //    margin-right: 10px;
  //  }
  //}

  &--agenda {

    align-items: center;
    display: flex;
    padding: 12px;
    height: 37px;
    border-radius: 4px;
    color: #E6E6E6;
    font-size: $default-font-size-plus-3;
    font-weight: 600;
    line-height: 22px;
    cursor: pointer;
  }
}

/* right menu*/
.activeAgenda {
  background-color: #78909C;
  color: #E6E6E6;
}

fieldset {
  border: 0;
  padding: 0;
  margin: 0
}


